Package org.gradle.api.artifacts.dsl

## Interface GradleDependencies

- All Superinterfaces:
    `Dependencies`
  All Known Subinterfaces:
    `JvmComponentDependencies`

      @Incubating
      public interface GradleDependencies
      extends Dependencies

  Dependency APIs available for `dependencies` blocks that can build software that relies on Gradle APIs.

  NOTE: This API is incubating and is likely to change until it's made stable.

  Since:
    7.6

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default Dependency` | `gradleApi()` | Creates a dependency on the API of the current version of Gradle.
    `default Dependency` | `gradleTestKit()` | Creates a dependency on the Gradle test-kit API.
    `default Dependency` | `localGroovy()` | Creates a dependency on the version of Groovy that is distributed with the current version of Gradle.

    - ### Methods inherited from interface org.gradle.api.artifacts.dsl.Dependencies

      `getDependencyFactory, module, module, project, project`

- - ### Method Detail

    - #### gradleApi

          default Dependency gradleApi()

      Creates a dependency on the API of the current version of Gradle.
      Returns:
        The dependency.
      Since:
        7.6

    - #### gradleTestKit

          default Dependency gradleTestKit()

      Creates a dependency on the Gradle test-kit API.
      Returns:
        The dependency.
      Since:
        7.6

    - #### localGroovy

          default Dependency localGroovy()

      Creates a dependency on the version of Groovy that is distributed with the current version of Gradle.
      Returns:
        The dependency.
      Since:
        7.6